#define _CRT_SECURE_NO_DEPRECATE
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <float.h>
#define _USE_MATH_DEFINES
#include <math.h>
#include "../include/complex.hpp"

int main(int argc,char**argv,char**envp)
  {
  complex a,w,z;
  z.re=2.;
  z.im=3.;
  printf("z=%lG%+lGi=%lG*exp(%lGi)\n",z.re,z.im,abs(z),arg(z));
  w=z*z;
  printf("z^2=%lG%+lGi=%lG*exp(%lGi)\n",w.re,w.im,abs(w),arg(w));
  w=pow(z,3);
  printf("z^3=%lG%+lGi=%lG*exp(%lGi)\n",w.re,w.im,abs(w),arg(w));
  w=pow(z,2.5);
  printf("z^2.5=%lG%+lGi=%lG*exp(%lGi)\n",w.re,w.im,abs(w),arg(w));
  w=sqrt(z);
  printf("sqrt(z)=%lG%+lGi=%lG*exp(%lGi)\n",w.re,w.im,abs(w),arg(w));
  a.re=1.5;
  a.im=2.5;
  w=pow(z,a);
  printf("(%lG%+lGi)^(%lG%+lGi)=%lG%+lGi=%lG*exp(%lGi)\n",z.re,z.im,a.re,a.im,w.re,w.im,abs(w),arg(w));
  w=exp(z);
  printf("exp(%lG%+lGi)=%lG%+lGi=%lG*exp(%lGi)\n",z.re,z.im,w.re,w.im,abs(w),arg(w));
  w=log(a);
  printf("ln(%lG%+lGi)=%lG%+lGi=%lG*exp(%lGi)\n",a.re,a.im,w.re,w.im,abs(w),arg(w));
  w=log10(a);
  printf("log(%lG%+lGi)=%lG%+lGi=%lG*exp(%lGi)\n",a.re,a.im,w.re,w.im,abs(w),arg(w));
  w=acos(a);
  printf("acos(%lG%+lGi)=%lG%+lGi=%lG*exp(%lGi)\n",a.re,a.im,w.re,w.im,abs(w),arg(w));
  w=asin(a);
  printf("asin(%lG%+lGi)=%lG%+lGi=%lG*exp(%lGi)\n",a.re,a.im,w.re,w.im,abs(w),arg(w));
  return(0);
  }
