/* A/C circuit example 1 (series)
   dudley.benton@gmail.com */

#define _CRT_SECURE_NO_DEPRECATE
#include <stdio.h>
#include <float.h>
#define _USE_MATH_DEFINES
#include <math.h>
#include "../include/complex.hpp"

double omega=2.*M_PI*60.;
double R=100.;
double C=0.00002;
double L=0.5;
double b=1.;

int main(int argc,char**argv,char**envp)
  {
  double t;
  complex i,v,z;
  z=1./(1./R-1./I/omega/L+omega*C/I);
  for(t=0.;t<=1./30.;t+=0.0001)
    {
    i=b*exp(I*omega*t);
    v=z*b*exp(I*omega*t);
    printf("%lG,%lG,%lG\n",t,i.re,v.re);
    }
  return(0);
  }
